put
/public_api/appsec/v1/application/{applicationId}
Updates the attributes of an existing application asset identified by its unique ID.
Required license:
Cortex XSIAM Premium. In Cortex XSIAM Enterprise and Cortex NG SIEM, requires the Cortex Cloud Posture Management add-on. Not supported in XSIAM Enterprise Plus.
Path parameters
applicationId String required
Example:
applicationId_example
Request headers
x-cas-trace-id String
Example:
xCasTraceId_example
Authorization
String
required
{api_key}
{api_key}
Example:
UCoWpG4rkNzgCp2dsh8m02iVpZsskwKHz7N1tErPcUV3Wmf59Gc9kytmgOv0pDWoem3PBlORyRIPiir4OcYdWUOWAM3JyTgoCxQf4nQoTlKmFRKz9Bj5vIjluw66p9WP
x-xdr-auth-id
String
required
{api_key_id}
{api_key_id}
Example:
241
CLIENT REQUEST
curl -X 'PUT'
-H
'Accept: application/json'
-H
'Content-Type: application/json'
-H
'x-cas-trace-id: xCasTraceId_example'
-H
'Authorization: UCoWpG4rkNzgCp2dsh8m02iVpZsskwKHz7N1tErPcUV3Wmf59Gc9kytmgOv0pDWoem3PBlORyRIPiir4OcYdWUOWAM3JyTgoCxQf4nQoTlKmFRKz9Bj5vIjluw66p9WP '
-H
'x-xdr-auth-id: 241'
'https://api-yourfqdn/public_api/appsec/v1/application/{applicationId}'
-d
'{
"creationType" : "Auto",
"productManager" : [ "productManager", "productManager" ],
"businessUnit" : "businessUnit",
"businessCriticality" : "Critical",
"description" : "description",
"devOwner" : [ "devOwner", "devOwner" ],
"devOpsOwner" : [ "devOpsOwner", "devOpsOwner" ],
"businessOwner" : [ "businessOwner", "businessOwner" ]
}'
import http.client
conn = http.client.HTTPSConnection("api-yourfqdn")
payload = "{\"businessCriticality\":\"Critical\",\"creationType\":\"Auto\",\"businessUnit\":\"string\",\"description\":\"string\",\"compliance\":\"PCI-DSS\",\"businessOwner\":[\"string\"],\"devOwner\":[\"string\"],\"devOpsOwner\":[\"string\"],\"productManager\":[\"string\"]}"
headers = {
'x-cas-trace-id': "SOME_STRING_VALUE",
'Authorization': "UCoWpG4rkNzgCp2dsh8m02iVpZsskwKHz7N1tErPcUV3Wmf59Gc9kytmgOv0pDWoem3PBlORyRIPiir4OcYdWUOWAM3JyTgoCxQf4nQoTlKmFRKz9Bj5vIjluw66p9WP ",
'x-xdr-auth-id': "241",
'content-type': "application/json"
}
conn.request("PUT", "/public_api/appsec/v1/application/%7BapplicationId%7D", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))require 'uri'
require 'net/http'
require 'openssl'
url = URI("https://api-yourfqdn/public_api/appsec/v1/application/%7BapplicationId%7D")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
http.verify_mode = OpenSSL::SSL::VERIFY_NONE
request = Net::HTTP::Put.new(url)
request["x-cas-trace-id"] = 'SOME_STRING_VALUE'
request["Authorization"] = 'UCoWpG4rkNzgCp2dsh8m02iVpZsskwKHz7N1tErPcUV3Wmf59Gc9kytmgOv0pDWoem3PBlORyRIPiir4OcYdWUOWAM3JyTgoCxQf4nQoTlKmFRKz9Bj5vIjluw66p9WP '
request["x-xdr-auth-id"] = '241'
request["content-type"] = 'application/json'
request.body = "{\"businessCriticality\":\"Critical\",\"creationType\":\"Auto\",\"businessUnit\":\"string\",\"description\":\"string\",\"compliance\":\"PCI-DSS\",\"businessOwner\":[\"string\"],\"devOwner\":[\"string\"],\"devOpsOwner\":[\"string\"],\"productManager\":[\"string\"]}"
response = http.request(request)
puts response.read_bodyconst data = JSON.stringify({
"businessCriticality": "Critical",
"creationType": "Auto",
"businessUnit": "string",
"description": "string",
"compliance": "PCI-DSS",
"businessOwner": [
"string"
],
"devOwner": [
"string"
],
"devOpsOwner": [
"string"
],
"productManager": [
"string"
]
});
const xhr = new XMLHttpRequest();
xhr.withCredentials = true;
xhr.addEventListener("readystatechange", function () {
if (this.readyState === this.DONE) {
console.log(this.responseText);
}
});
xhr.open("PUT", "https://api-yourfqdn/public_api/appsec/v1/application/%7BapplicationId%7D");
xhr.setRequestHeader("x-cas-trace-id", "SOME_STRING_VALUE");
xhr.setRequestHeader("Authorization", "UCoWpG4rkNzgCp2dsh8m02iVpZsskwKHz7N1tErPcUV3Wmf59Gc9kytmgOv0pDWoem3PBlORyRIPiir4OcYdWUOWAM3JyTgoCxQf4nQoTlKmFRKz9Bj5vIjluw66p9WP ");
xhr.setRequestHeader("x-xdr-auth-id", "241");
xhr.setRequestHeader("content-type", "application/json");
xhr.send(data);HttpResponse<String> response = Unirest.put("https://api-yourfqdn/public_api/appsec/v1/application/%7BapplicationId%7D")
.header("x-cas-trace-id", "SOME_STRING_VALUE")
.header("Authorization", "UCoWpG4rkNzgCp2dsh8m02iVpZsskwKHz7N1tErPcUV3Wmf59Gc9kytmgOv0pDWoem3PBlORyRIPiir4OcYdWUOWAM3JyTgoCxQf4nQoTlKmFRKz9Bj5vIjluw66p9WP ")
.header("x-xdr-auth-id", "241")
.header("content-type", "application/json")
.body("{\"businessCriticality\":\"Critical\",\"creationType\":\"Auto\",\"businessUnit\":\"string\",\"description\":\"string\",\"compliance\":\"PCI-DSS\",\"businessOwner\":[\"string\"],\"devOwner\":[\"string\"],\"devOpsOwner\":[\"string\"],\"productManager\":[\"string\"]}")
.asString();import Foundation
let headers = [
"x-cas-trace-id": "SOME_STRING_VALUE",
"Authorization": "UCoWpG4rkNzgCp2dsh8m02iVpZsskwKHz7N1tErPcUV3Wmf59Gc9kytmgOv0pDWoem3PBlORyRIPiir4OcYdWUOWAM3JyTgoCxQf4nQoTlKmFRKz9Bj5vIjluw66p9WP ",
"x-xdr-auth-id": "241",
"content-type": "application/json"
]
let parameters = [
"businessCriticality": "Critical",
"creationType": "Auto",
"businessUnit": "string",
"description": "string",
"compliance": "PCI-DSS",
"businessOwner": ["string"],
"devOwner": ["string"],
"devOpsOwner": ["string"],
"productManager": ["string"]
] as [String : Any]
let postData = JSONSerialization.data(withJSONObject: parameters, options: [])
let request = NSMutableURLRequest(url: NSURL(string: "https://api-yourfqdn/public_api/appsec/v1/application/%7BapplicationId%7D")! as URL,
cachePolicy: .useProtocolCachePolicy,
timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data
let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
if (error != nil) {
print(error)
} else {
let httpResponse = response as? HTTPURLResponse
print(httpResponse)
}
})
dataTask.resume()<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-yourfqdn/public_api/appsec/v1/application/%7BapplicationId%7D",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => "{\"businessCriticality\":\"Critical\",\"creationType\":\"Auto\",\"businessUnit\":\"string\",\"description\":\"string\",\"compliance\":\"PCI-DSS\",\"businessOwner\":[\"string\"],\"devOwner\":[\"string\"],\"devOpsOwner\":[\"string\"],\"productManager\":[\"string\"]}",
CURLOPT_HTTPHEADER => [
"Authorization: UCoWpG4rkNzgCp2dsh8m02iVpZsskwKHz7N1tErPcUV3Wmf59Gc9kytmgOv0pDWoem3PBlORyRIPiir4OcYdWUOWAM3JyTgoCxQf4nQoTlKmFRKz9Bj5vIjluw66p9WP ",
"content-type: application/json",
"x-cas-trace-id: SOME_STRING_VALUE",
"x-xdr-auth-id: 241"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "PUT");
curl_easy_setopt(hnd, CURLOPT_URL, "https://api-yourfqdn/public_api/appsec/v1/application/%7BapplicationId%7D");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "x-cas-trace-id: SOME_STRING_VALUE");
headers = curl_slist_append(headers, "Authorization: UCoWpG4rkNzgCp2dsh8m02iVpZsskwKHz7N1tErPcUV3Wmf59Gc9kytmgOv0pDWoem3PBlORyRIPiir4OcYdWUOWAM3JyTgoCxQf4nQoTlKmFRKz9Bj5vIjluw66p9WP ");
headers = curl_slist_append(headers, "x-xdr-auth-id: 241");
headers = curl_slist_append(headers, "content-type: application/json");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
curl_easy_setopt(hnd, CURLOPT_POSTFIELDS, "{\"businessCriticality\":\"Critical\",\"creationType\":\"Auto\",\"businessUnit\":\"string\",\"description\":\"string\",\"compliance\":\"PCI-DSS\",\"businessOwner\":[\"string\"],\"devOwner\":[\"string\"],\"devOpsOwner\":[\"string\"],\"productManager\":[\"string\"]}");
CURLcode ret = curl_easy_perform(hnd);var client = new RestClient("https://api-yourfqdn/public_api/appsec/v1/application/%7BapplicationId%7D");
var request = new RestRequest(Method.PUT);
request.AddHeader("x-cas-trace-id", "SOME_STRING_VALUE");
request.AddHeader("Authorization", "UCoWpG4rkNzgCp2dsh8m02iVpZsskwKHz7N1tErPcUV3Wmf59Gc9kytmgOv0pDWoem3PBlORyRIPiir4OcYdWUOWAM3JyTgoCxQf4nQoTlKmFRKz9Bj5vIjluw66p9WP ");
request.AddHeader("x-xdr-auth-id", "241");
request.AddHeader("content-type", "application/json");
request.AddParameter("application/json", "{\"businessCriticality\":\"Critical\",\"creationType\":\"Auto\",\"businessUnit\":\"string\",\"description\":\"string\",\"compliance\":\"PCI-DSS\",\"businessOwner\":[\"string\"],\"devOwner\":[\"string\"],\"devOpsOwner\":[\"string\"],\"productManager\":[\"string\"]}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);Body parameters
required
businessCriticalitystring (Enum)
creationTypestring (Enum)
businessUnitstring
descriptionstring
compliancestring (Enum)
businessOwnerarray[string]
devOwnerarray[string]
devOpsOwnerarray[string]
productManagerarray[string]
application/json
businessCriticalitystring (Enum)The operational importance of the asset.
The operational importance of the asset.
Allowed values:"Critical""High""Medium""Low"
creationTypestring (Enum)How the asset was created.
How the asset was created.
Allowed values:"Auto""Manual"
businessUnitstringBusiness unit responsible for the asset.
Business unit responsible for the asset.
descriptionstringDescription providing additional details about the asset.
Description providing additional details about the asset.
compliancestring (Enum)The compliance status or requirement category for an asset.
The compliance status or requirement category for an asset.
Allowed values:"PCI-DSS""ISO 27001""SOX""NIST""GDPR""CCPA""HIPAA""FedRAMP"
businessOwnerarray[string]Business owners responsible for the asset.
Business owners responsible for the asset.
devOwnerarray[string]Development owners responsible for building and maintaining the asset.
Development owners responsible for building and maintaining the asset.
devOpsOwnerarray[string]DevOps owners responsible for deployment and operations.
DevOps owners responsible for deployment and operations.
productManagerarray[string]Product managers responsible for the asset.
Product managers responsible for the asset.
REQUEST
{
"businessCriticality": "Critical",
"creationType": "Auto",
"businessUnit": "example",
"description": "example",
"compliance": "PCI-DSS",
"businessOwner": [
"example"
],
"devOwner": [
"example"
],
"devOpsOwner": [
"example"
],
"productManager": [
"example"
]
}Responses